test layer state

Discussion in 'AutoCAD' started by kemp, May 12, 2004.

  1. kemp

    kemp Guest

    I can't seem to figure out how to test if a layer is frozen or thawed with
    ActiveX

    This is what I have:

    (setq Layer1 (getvar "clayer"))

    (if (= (vla-get-freeze Layer1) :vlax-false)
    (setvar "clayer" Layer1)
    (setvar "clayer" 0))

    I think the problem is that Layer1 is not an activex layer, rather it is
    just a string. So I guess the question is how do I make it read at an
    activex layer?

    Thanks, kemp
     
    kemp, May 12, 2004
    #1
  2. kemp

    kemp Guest

    Thanks Jeff. I will have to study the uses of vla-item more. I had tried
    several vla commands but none used vla-item so thanks for enlightening me!

    Also, I hadn't thought about the fact that setting Layer1 to the "clayer"
    this will ALWAYS return false. Guess that is a lot easier - thanks again!

    kemp
     
    kemp, May 12, 2004
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.